Package csb :: Package bio :: Package io :: Module wwpdb :: Class EntryID

[frames] | no frames]

# Class EntryID

source code

    object --+
             |
            EntryID

Known Subclasses:
  - DegenerateID
  - , SeqResID
  - , StandardID

Represents a PDB Chain identifier. Implementing classes must define how the original ID is split into accession number and chain ID.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, id) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

str

format(self) Returns: the identifier in its original format | source code

tuple of str

parse(self, id) Split `id` into accession number and chain ID. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

EntryID

create(id) Guess the format of `id` and parse it. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``'``parse``'``])``

Properties
str | accession Accession number part of the Entry ID
str | chain Chain ID part of the Entry ID
str | entry_id Accession number + Chain ID
Inherited from `object`: `__class__`

Method Details

### __init__(self, id)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `id` (str) - identifier
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### create(id)
Static Method

source code

Guess the format of `id` and parse it.

Returns: EntryID
  a new PDB ID of the appropriate type

### format(self)

source code

Returns: str
  the identifier in its original format

### parse(self, id)

source code

Split `id` into accession number and chain ID.

Parameters:
  - `id` (str) - PDB identifier
Returns: tuple of str
  (accession, chain)
Raises:
  - `InvalidEntryIDError` - when `id` is in an inappropriate format

Property Details

### accession

Accession number part of the Entry ID

Get Method:
  unreachable.accession(self) - Accession number part of the Entry ID
Type:
  str

### chain

Chain ID part of the Entry ID

Get Method:
  unreachable.chain(self) - Chain ID part of the Entry ID
Type:
  str

### entry_id

Accession number + Chain ID

Get Method:
  unreachable.entry_id(self) - Accession number + Chain ID
Type:
  str